Home>

I received the following error and DEPRECATION. Please give me a solution.
I want to install virtualenv in Debian, but I get Error and DEPRECATION.

$sudo su
root @ debian:/home/xxxxxx/activitywatch # curl -kL https://bootstrap.pypa.io/get-pip.py | python
  % Total% Received% Xferd Average Speed ​​Time Time Time Current
                                 Dload Upload Total Spent Left Speed
100 1734k 100 1734k 0 0 2779k 0-:-:--:-:--:-:-2779k
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020.Please upgrade your Python as Python 2.7 won't be maintained after that date.A future version of pip will drop support for Python 2.7.More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting pip
  Downloading https://files.pythonhosted.org/packages/00/b6/9cfa56b4081ad13874b0c6f96af8ce16cfbc1cb06bedf8e9164ce5551ec1/pip-19.3.1-py2.py3-none-any.whl (1.4MB)
     | ████████████████████████████████ | 1.4MB 1.6MB/s
Collecting setuptools
  Downloading https://files.pythonhosted.org/packages/54/28/c45d8b54c1339f9644b87663945e54a8503cfef59cf0f65b3ff5dd17cf64/setuptools-42.0.2-py2.py3-none-any.whl (583kB)
     | ████████████████████████████████ | 583kB 2.0MB/s
Collecting wheel
  Downloading https://files.pythonhosted.org/packages/00/83/b4a77d044e78ad1a45610eb88f745be2fd2c6d658f9798a15e384b7d57c9/wheel-0.33.6-py2.py3-none-any.whl
Installing collected packages: pip, setuptools, wheel
Successfully installed pip-19.3.1 setuptools-42.0.2 wheel-0.33.6
  • Answer # 1

      

    DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020.Please upgrade your Python as Python 2.7 won't be maintained after that date.A future version of pip will drop support for Python 2.7. about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support

    If you are not good at English, why not use a translation site?
    Python 2.7 will reach the end of its life on January 1st, 2020.
    Python 2.7 will expire, so you can use the new version.

      

    Successfully installed pip-19.3.1 setuptools-42.0.2 wheel-0.33.6
      And installed successfully.

Trends